Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMassProperties Class Reference

`#include <vtkMassProperties.h>`

Inheritance diagram for vtkMassProperties:

[legend]
Collaboration diagram for vtkMassProperties:

[legend]
List of all members.

## Detailed Description

estimate volume, area, shape index of triangle mesh

Date:
  2002/11/03 22:51:55

Revision:
  1.22

vtkMassProperties estimates the volume, the surface area, and the normalized shape index of a triangle mesh. The algorithm implemented here is based on the discrete form of the divergence theorem. The general assumption here is that the model is of closed surface. For more details see the following reference (Alyassin A.M. et al, "Evaluation of new algorithms for the interactive measurement of surface area and volume", Med Phys 21(6) 1994.).

Warning:
  Currently only triangles are processed. Use vtkTriangleFilter to convert any strips or polygons to triangles.

See also:
  vtkTriangleFilter

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent

Created by:
  - Alyassin, Majeid

CVS contributions (if > 5%):
  - Alyassin, Majeid (47%)
  - Lorensen, Bill (27%)
  - Schroeder, Will (15%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkMassProperties.cxx)`
  - .`h` (`/Graphics/vtkMassProperties.h)`

Tests:
  vtkMassProperties (Tests)

Definition at line 64 of file vtkMassProperties.h.

## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
double | GetVolume ()
double | GetSurfaceArea ()
void | Update ()
void | SetInput (vtkPolyData *input)
vtkPolyData * | GetInput ()
double | GetVolumeX ()
double | GetVolumeY ()
double | GetVolumeZ ()
double | GetKx ()
double | GetKy ()
double | GetKz ()
double | GetNormalizedShapeIndex ()
## Static Public Methods
vtkMassProperties * | New ()
int | IsTypeOf (const char *type)
vtkMassProperties * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMassProperties ()
| ~vtkMassProperties ()
void | Execute ()
## Protected Attributes
double | SurfaceArea
double | Volume
double | VolumeX
double | VolumeY
double | VolumeZ
double | Kx
double | Ky
double | Kz
double | NormalizedShapeIndex
vtkTimeStamp | ExecuteTime

## Member Typedef Documentation

typedef vtkProcessObject vtkMassProperties::Superclass

| Reimplemented from vtkProcessObject. Definition at line 70 of file vtkMassProperties.h.

## Constructor & Destructor Documentation

vtkMassProperties::vtkMassProperties | ( |  | ) | `[protected]`

vtkMassProperties::~vtkMassProperties | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMassProperties* vtkMassProperties::New | ( |  | ) | `[static]`

| Constructs with initial values of zero. Reimplemented from vtkObject.

virtual const char* vtkMassProperties::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject.

int vtkMassProperties::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject.

virtual int vtkMassProperties::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject.

vtkMassProperties* vtkMassProperties::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject.

void vtkMassProperties::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject.

double vtkMassProperties::GetVolume | ( |  | ) | `[inline]`

| Compute and return the volume. Definition at line 74 of file vtkMassProperties.h.

double vtkMassProperties::GetVolumeX | ( |  | ) | `[inline]`

| Compute and return the volume projected on to each axis aligned plane. Definition at line 79 of file vtkMassProperties.h.

double vtkMassProperties::GetVolumeY | ( |  | ) | `[inline]`

| Compute and return the volume projected on to each axis aligned plane. Definition at line 80 of file vtkMassProperties.h.

double vtkMassProperties::GetVolumeZ | ( |  | ) | `[inline]`

| Compute and return the volume projected on to each axis aligned plane. Definition at line 81 of file vtkMassProperties.h.

double vtkMassProperties::GetKx | ( |  | ) | `[inline]`

| Compute and return the weighting factors for the maximum unit normal component (MUNC). Definition at line 87 of file vtkMassProperties.h.

double vtkMassProperties::GetKy | ( |  | ) | `[inline]`

| Compute and return the weighting factors for the maximum unit normal component (MUNC). Definition at line 88 of file vtkMassProperties.h.

double vtkMassProperties::GetKz | ( |  | ) | `[inline]`

| Compute and return the weighting factors for the maximum unit normal component (MUNC). Definition at line 89 of file vtkMassProperties.h.

double vtkMassProperties::GetSurfaceArea | ( |  | ) | `[inline]`

| Compute and return the area. Definition at line 93 of file vtkMassProperties.h.

double vtkMassProperties::GetNormalizedShapeIndex | ( |  | ) | `[inline]`

| Compute and return the normalized shape index. This characterizes the deviation of the shape of an object from a sphere. A sphere's NSI is one. This number is always >= 1.0. Definition at line 99 of file vtkMassProperties.h.

void vtkMassProperties::Update | ( |  | ) |

void vtkMassProperties::SetInput | ( | vtkPolyData * | input | ) |

vtkPolyData* vtkMassProperties::GetInput | ( |  | ) |

void vtkMassProperties::Execute | ( |  | ) | `[protected]`

## Member Data Documentation

double vtkMassProperties::SurfaceArea`[protected]`

| Definition at line 114 of file vtkMassProperties.h.

double vtkMassProperties::Volume`[protected]`

| Definition at line 115 of file vtkMassProperties.h.

double vtkMassProperties::VolumeX`[protected]`

| Definition at line 116 of file vtkMassProperties.h.

double vtkMassProperties::VolumeY`[protected]`

| Definition at line 117 of file vtkMassProperties.h.

double vtkMassProperties::VolumeZ`[protected]`

| Definition at line 118 of file vtkMassProperties.h.

double vtkMassProperties::Kx`[protected]`

| Definition at line 119 of file vtkMassProperties.h.

double vtkMassProperties::Ky`[protected]`

| Definition at line 120 of file vtkMassProperties.h.

double vtkMassProperties::Kz`[protected]`

| Definition at line 121 of file vtkMassProperties.h.

double vtkMassProperties::NormalizedShapeIndex`[protected]`

| Definition at line 122 of file vtkMassProperties.h.

vtkTimeStamp vtkMassProperties::ExecuteTime`[protected]`

| Definition at line 123 of file vtkMassProperties.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMassProperties.h